Redmine - Defect #11839

Text overlay when exporting issues to pdf files

2012-09-15 17:46 - Erica Gallindo

Status: Confirmed
Priority: Normal
Assignee:

Category: PDF export

Target version:

Resolution:

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

I'm using a lot of custom fields in my redmine issues. A lot of them are "long text" fields. When | try to export each issue to a pdf file,
the text goes beyond the limits of the page. Also, when the field name is large (more than 10 characters), it overwrites its value.

Is there a quick way to put the fields into just one column? This probably would solve my problem for now.

Related issues:

Related to Redmine - Defect #13860: Text of custom fields is not wrapped in P... Closed
Related to Redmine - Defect #14466: Wrap long issue fields in issue pdf header Closed
History

#1 - 2012-09-15 20:24 - Terence Mill

same here

#2 - 2012-12-14 19:53 - Jack Kurzecki

This bug is present in version 2.1

It makes long custom text fields unreadable on exported PDF.

#3 - 2013-01-04 22:22 - Zbynek Drlik
- File long_text error.jpg added

Same here. Example attached.

#4 - 2013-02-13 17:08 - Steve Morrissey

Also experiencing this issue in version 2.2.1 stable.

#5 - 2013-02-13 17:12 - Daniel Felix

- Status changed from New to Confirmed

Well, | think after this responses. We could set this to confirmed. ;-)

#6 - 2013-03-27 14:59 - Christopher Maximov

Exactly the same behaviour seen with Redmine 2.3.0stable (Ruby 1.9.3 (i386-mingw32), Rails 3.2.13). I'm long time user of Redmine, but ths PDF
issue with long custom fields makes pdf export totally useless :-( Please help!

#7 - 2013-06-24 09:57 - Sven Wermers

Same here, too.
Redmine version 2.2.1.stable

Please help.

#8 - 2013-09-19 16:50 - Thomas Miiller

The issue seems to be familiar with #13860 the patch delivered could be applied to version 2.2.4 too

#9 - 2013-10-01 08:26 - Toshi MARUYAMA

- Related to Defect #13860: Text of custom fields is not wrapped in PDF exports of issues added
https://www.redmine.org/issues/13860

#10 - 2013-11-19 19:59 - Jack Kurzecki

Patch for this issue is proposed here #14466
Could those issues be linked?

#11 - 2013-11-20 01:49 - Mischa The Evil
- Related to Defect #14466: Wrap long issue fields in issue pdf header added

#12 - 2013-12-24 07:33 - Doan Phuoc

me too. i use redmine 2.3.3 and i export by vietnamese. Please help me fix it !!!

Thanks

#13 - 2014-02-05 12:27 - Daniele Pedroni

The PDF export problem is annoying, but the patch is really simple and it is working!
May this can be included in Redmine core as a fix... please!

Thank you
